--- title: "Get a VM group" slug: "get-a-vm-group" tags: ["Product Usage", "vIPS 10.1.10"] updated: 2026-09-11T20:35:31Z published: 2026-09-11T20:35:31Z canonical: "docs.trellix.com/get-a-vm-group" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get a VM group This URL gets a VM group based on the VM group Id. ## Resource URL GET /vmgroup/ ## Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | VM group Id | VM group ID. You can use the GET /vmgroup method to get the VM group ID. | number | Yes | ## Response Parameters Following fields are returned in the response. | Field Name | Description | Data Type | | --- | --- | --- | | success | Indicates if the creation of VM group is successful. Value is set to true if the creation of VM group is successful. Value is set to false if the creation of VM group is not successful. | string | | msg | Not applicable | Not applicable | | errMsg | Not applicable | Not applicable | | domainName | Not applicable | Not applicable | | data | Details of the VM group | object | ## Example **Request** GET [https://%3CNSM_IP%3E/intruvert/webservice/api/v1/cloud/vmgroup/12](https://%3CNSM_IP%3E/intruvert/webservice/api/v1/cloud/vmgroup/12) **Response** ``` { "success": true, "msg": null, "errMsg": null, "domainName": null, "data": { "domainId": 0, "subscriberVMGroupId": 103, "groupName": "vmg1", "description": "Updated vmg" } } ```